"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Skel = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const Skel = _ref => {
  let {
    width,
    height,
    duration = 1000,
    backgroundColor = '#EBEFF5',
    backgroundAnimationColor = ['transparent', "rgba(0,0,0, 0.03)", 'transparent'],
    styles = {}
  } = _ref;
  const translateX = (0, _react.useRef)(new _reactNative.Animated.Value(-width)).current;
  (0, _react.useEffect)(() => {
    _reactNative.Animated.loop(_reactNative.Animated.timing(translateX, {
      toValue: width,
      useNativeDriver: true,
      duration
    })).start();
  }, [width]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([{
      width,
      height,
      backgroundColor,
      overflow: 'hidden'
    }, styles])
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      width: '100%',
      height: '100%',
      transform: [{
        translateX: translateX
      }]
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNativeLinearGradient.default, {
    style: {
      width: '100%',
      height: '100%'
    },
    colors: backgroundAnimationColor,
    start: {
      x: 1,
      y: 1
    }
  })));
};
exports.Skel = Skel;
//# sourceMappingURL=Skel.js.map