import React, { useRef, useEffect } from 'react';
import { View, StyleSheet, Animated } from 'react-native';
import LinearGradient from 'react-native-linear-gradient';
export const Skel = _ref => {
  let {
    width,
    height,
    duration = 1000,
    backgroundColor = '#EBEFF5',
    backgroundAnimationColor = ['transparent', "rgba(0,0,0, 0.03)", 'transparent'],
    styles = {}
  } = _ref;
  const translateX = useRef(new Animated.Value(-width)).current;
  useEffect(() => {
    Animated.loop(Animated.timing(translateX, {
      toValue: width,
      useNativeDriver: true,
      duration
    })).start();
  }, [width]);
  return /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([{
      width,
      height,
      backgroundColor,
      overflow: 'hidden'
    }, styles])
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: {
      width: '100%',
      height: '100%',
      transform: [{
        translateX: translateX
      }]
    }
  }, /*#__PURE__*/React.createElement(LinearGradient, {
    style: {
      width: '100%',
      height: '100%'
    },
    colors: backgroundAnimationColor,
    start: {
      x: 1,
      y: 1
    }
  })));
};
//# sourceMappingURL=Skel.js.map